Subject: bug#63067: 30.0.50; configure prints error with CONFIG_SHELL=/bin/sh

From: Paul Eggert <[email-masked]>
Date: Tue, 25 Apr 2023 19:52:26 -0700

> On a Solaris 10 system, run:
> 
>   % CONFIG_SHELL=/bin/sh ./configure CC="/opt/SUNwspro/bin/cc -m64"
> 
> this will result in several errors, which I've now fixed.

My suggestion is to not worry about /bin/sh there. I.e., just run:

   ./configure CC="/opt/SUNwspro/bin/cc -m64"

and let 'configure' re-exec itself with a better shell. Or, if you'd 
rather pick the shell yourself, choose /bin/bash or /bin/ksh or 
/usr/xpg4/bin/sh instead of /bin/sh. The idea is to not bother testing 
with Solaris 10 /bin/sh as there's not much point nowadays to forcing 
execution of that ancient non-POSIX shell when configuring Emacs.